Name: 	 	xvkbd
Summary: 	Virtual (on-screen) keyboard for X
Version: 	3.3
Release: 	%mkrel 2
Source:		http://homepage3.nifty.com/tsato/%{name}/%{name}-%{version}.tar.gz
URL:		http://homepage3.nifty.com/tsato/xvkbd/
License:	GPLv2+
Group:		System/X11

Buildrequires:	imagemagick
Buildrequires:	imake
BuildRequires:	libx11-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxt-devel
BuildRequires:	libxtst-devel
BuildRequires:	libxaw-devel
BuildRequires:	xaw3d-devel

%description
xvkbd is a virtual (graphical) keyboard program for X Window System which
provides facility to enter characters onto other clients (softwares) by
clicking on a keyboard displayed on the screen. This may be used for systems
without a hardware keyboard such as kiosk terminals or handheld devices.

This program also has facility to send characters specified as the command
line option to another client, which can help when one wants to fully utilize
some modern mice with multiple buttons.

%prep
%setup -q

%build
xmkmf
%make
										
%install
%makeinstall_std install.man
rm -f %{buildroot}/%_prefix/lib/X11/app-defaults

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mageia-%{name}.desktop <<EOF
[Desktop Entry]
Name=Virtual Keyboard
Comment=On-screen keyboard for X
Exec=%{_bindir}/%{name} -secure
Icon=%{name}
Terminal=false
Type=Application
Categories=GNOME;GTK;Utility;Accessibility;
EOF

#icons
mkdir -p %{buildroot}%_liconsdir
convert -size 48x48 xvkbd_icon.xbm %{buildroot}%_liconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir
convert -size 32x32 xvkbd.xbm %{buildroot}%_iconsdir/%name.png
mkdir -p %{buildroot}%_miconsdir
convert -size 16x16 xvkbd.xbm %{buildroot}%_miconsdir/%name.png

%files
%doc README
%_prefix/bin/*
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%{_mandir}/man1/*
%{_datadir}/applications
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 3.3-2.mga3
+ Revision: 387525
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 03 2012 sander85 <sander85> 3.3-1.mga2
+ Revision: 217244
- new version: 3.3

* Sun Jan 22 2012 kamil <kamil> 3.2-2.mga2
+ Revision: 199582
- rebuild against renamed xaw3d
- clean .spec

* Thu Sep 29 2011 fwang <fwang> 3.2-1.mga2
+ Revision: 150339
- br xaw
- tighten br
- clean category

* Sat Apr 30 2011 sander85 <sander85> 3.2-1.mga1
+ Revision: 93691
- imported package xvkbd

